// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// Module: SourcePosition
//
// Author: Hassan Siddiqui
//
// Description: 
//
// Class for storing the position a source centre, 
// in DET and TELCOORDs
//
// Modifications: See ChangeLog
// 
// $Id: SourcePosition.h,v 1.1 2011/01/11 16:36:10 rsaxton Exp $

#ifndef SourcePosition_H
#define SourcePosition_H

/* General */
// None

/* SAS-specific */
// None

/* Local */
// None

class SourcePosition
{
public:

  /*** Constructors */
  SourcePosition( double xdet,
		   double ydet,
		   double theta,
		   double phi );

  /*** Accessors */
  double xdet() const;
  double ydet() const;
  double theta() const;
  double phi() const;

private:

  double _xdet;
  double _ydet;
  double _theta;
  double _phi;
};

#endif
