// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//----------------------------------------------------------------------------
//
//                     XMM Science Analysis System (SAS)
//                    (c) 1997-2010 European Space Agency
//
//---------------------------------------------------------------------------
//
//      getRegion.cc:       --- print out the region information in a source image

#include <iostream>
#include <fstream>
#include <cstring>
#include <iomanip>

using namespace std;

int main(int argc, char * argv[]) {
	if (argc <= 1) {
		cout << "Usage: " << argv[0] << " image.fits" << endl;
		return 0;
	}

	ifstream file(argv[1]);

	if (! file) {
		cerr << "Can't open input file \"" << argv[1] << "\"" << endl;
		return 1;
	}

	char buffer[81];
	string strbuf;
	string xproc0;
	strbuf.reserve(80);
	size_t first, last;

	do {
		memset(buffer, 0, 81);
		file.read(buffer, 80);
		strbuf.assign(buffer, 80);
	} while (strbuf.substr(0, 6) != "XPROC0");

	do {
		last = strbuf.rfind('&');
		xproc0 += strbuf.substr(11, last-11);
		memset(buffer, 0, 81);
		file.read(buffer, 80);
		strbuf.assign(buffer, 80);
	} while (strbuf.substr(0, 6) == "CONTIN");

	first = xproc0.find("expression=''");
	last = xproc0.rfind(")''");
//	strbuf = xproc0.substr(first, last-first);
//	first = strbuf.rfind("&& ( ");
//	cout << strbuf.substr(first+5) << endl;

	while (strbuf.substr(0, 6) != "PA_PNT") {
		memset(buffer, 0, 81);
		file.read(buffer, 80);
		strbuf.assign(buffer, 80);
	}

	cout << xproc0.substr(first, last-first+1) << "rotate=" << strbuf.substr(10, 20) << endl;

	
	return 0;
}
